// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of scatter
//
// scatter is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// scatter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the
//       Free Software Foundation, Inc.
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#ifndef MZN_h
#define MZN_h

#include <string>

#include "MZ.h"

using namespace std;

class MZN : public MZ {
 public:
    MZN( const string& id, const string& filename, double zmin, double zmax ) throw ( Exception );
    ~MZN( void ) { };

  bool lookUpScatterAngle( double energy, double sin_alpha, double rannum, bool inplane, double& theta );
  double lookUpTheta( const long idx, double rannum );

  vector<double> _esa;
  Column2D _theta;

};

#endif // #ifndef MZN_h
