// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of scatter
//
// scatter is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// scatter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the
//       Free Software Foundation, Inc.
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#ifndef MZO_h
#define MZO_h

#include <string>

#include <tracefctxx/TraceFct.h>
#include <Exception/Exception.h>

#include "MZ.h"

using namespace std;

class MZO : public MZ {
 public:
  MZO( const string& id, const string& filename, double zmin, double zmax ) throw ( Exception );
  ~MZO( void ) { };

  bool lookUpScatterAngle( double energy, double sin_alpha, double rannum, bool inplane, double& theta );
  double lookUpTheta( const long idx, double rannum );

  vector<double> _esa;
  vector<double> _p0;
  vector<double> _ptop;
  vector<double> _pdelta;
  vector<double> _powtop;
  vector<double> _normtop;

  Column2D _pdist;

};

#endif // #ifndef MZO_h
