// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of scatter
//
// scatter is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// scatter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the
//       Free Software Foundation, Inc.
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#ifndef ScatterDatabase_h
#define ScatterDatabase_h

#include <algorithm>
#include <iomanip>
#include <iostream>
#include <sstream>
#include <string>
#include <vector>

#include <tracefctxx/TraceFct.h>
#include <Exception/Exception.h>
#include <rdbxx/RDB.h>

#include "cmp.h"
#include "MZN.h"
#include "MZO.h"
#include "Photon.h"

using namespace std;

class ScatterDatabase {
 public:
  ScatterDatabase( const string& filename, const int surfno, const int shell, const double z0 ) throw ( Exception );
  ~ScatterDatabase( void );

  //  void scatter( ParFile& parfile, Photon& photon ) throw ( Exception );

  MZ *findZone( const double z ) throw ( Exception );

  vector<MZ*>& zones( void ) { return _zones; };

 protected:
  vector<MZ*> _zones;

};

#endif // #ifndef ScatterDatabase_h
