// --8<--8<--8<--8<--
//
// Copyright (C) 2006 Smithsonian Astrophysical Observatory
//
// This file is part of scatter
//
// scatter is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// scatter is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program; if not, write to the
//       Free Software Foundation, Inc.
//       51 Franklin Street, Fifth Floor
//       Boston, MA  02110-1301, USA
//
// -->8-->8-->8-->8--

#include "cmp.h"

int mirrorzonecmp( const void *p1, const void *p2 ) {

  double z1 = (*((MZ **)p1))->zmin();
  double z2 = (*((MZ **)p2))->zmin();

  return
      z1 > z2 ? 1
    : z1 < z2 ? -1
    : 0;
}

int esacmp( const void *p1, const void *p2 ) {

  double d1 = *((double *)p1);
  double d2 = *((double *)p2);

  return
      d1 > d2 ? 1
    : d1 < d2 ? -1
    : 0;
}
